%define rel	5

%define major	4
%define libname	%mklibname ftp %{major}
%define develname %mklibname ftp -d

Summary:	FTP Library Routines
Name:		ftplib
Version:	4.0
Release:	%mkrel %rel
License:	LGPLv2+
Group:		System/Libraries
URL:		https://nbpfaus.net/~pfau/ftplib/
Source:		https://www.nbpfaus.net/~pfau/ftplib/%name-%version.tar.gz

%description
This package implements a callable interface to FTP.  The FTP
protocol is specified in RFC 959.

%package -n qftp
Summary:	Command line driven ftp file transfer program
Group:		Networking/File transfer

%description -n qftp
qftp performs directories or file transfers using the ftp protocol
based on the command it was invoked with and command line arguments.

%package -n %libname
Summary:	Shared library of ftplib
Group:		System/Libraries
Provides:	%name = %version-%release

%description -n %libname
This package implements a callable interface to FTP.  The FTP
protocol is specified in RFC 959.

This package contains the library needed to run programs dynamically
linked with ftplib.

%package -n %develname
Summary:	Headers and static library for ftplib development
Group:		Development/C
Requires:	%libname = %version
Provides:	libftp-devel = %version-%release
Provides:	ftp-devel = %version-%release

%description -n %develname
This package implements a callable interface to FTP.  The FTP
protocol is specified in RFC 959.

This package contains the headers and static library that
programmers will need to develop applications which will use
ftplib.

%prep
%setup -q
sed -i 's,/usr/local/bin,$(DESTDIR)%{_bindir},' src/Makefile
sed -i 's,/usr/local/lib,$(DESTDIR)%{_libdir},' src/Makefile
sed -i 's,/usr/local/include,$(DESTDIR)%{_includedir},' src/Makefile

%build
cd src
# LDFLAGS is not used for the library build
%make_build DEBUG="%optflags" CC="gcc %ldflags"

%install
install -d -m755 %{buildroot}%{_bindir}
install -d -m755 %{buildroot}%{_libdir}
install -d -m755 %{buildroot}%{_includedir}
%make_install -C src

%files -n %libname
%doc CHANGES README.ftplib-4.0
%{_libdir}/*.so.%{major}{,.*}

%files -n %develname
%doc CHANGES README.ftplib-4.0
%{_libdir}/*.so
%{_includedir}/%{name}.h

%files -n qftp
%doc README.qftp
%{_bindir}/ftp*
%{_bindir}/qftp


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 4.0-5.mga10
+ Revision: 2195327
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 4.0-4.mga9
+ Revision: 1791874
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 4.0-3.mga8
+ Revision: 1512362
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 4.0-2.mga7
+ Revision: 1297798
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 daviddavid <daviddavid> 4.0-1.mga7
+ Revision: 1247636
- new version: 4.0

* Fri Feb 05 2016 umeabot <umeabot> 3.1-10.mga6
+ Revision: 938297
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1-9.mga5
+ Revision: 745766
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1-8.mga5
+ Revision: 679374
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.1-7.mga4
+ Revision: 504658
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 3.1-6.mga3
+ Revision: 350976
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 15 2011 anssi <anssi> 3.1-5.mga1
+ Revision: 19830
- remove old scripts
- clarify license
- use ldflags
- imported package ftplib


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 3.1-4mdv2011.0
+ Revision: 618366
- the mass rebuild of 2010.0 packages

* Thu Sep 03 2009 Thierry Vignaud <tv@mandriva.org> 3.1-3mdv2010.0
+ Revision: 428963
- rebuild

* Sun Sep 07 2008 Emmanuel Andry <eandry@mandriva.org> 3.1-2mdv2009.0
+ Revision: 282391
- apply devel policy

* Mon Jun 09 2008 Pixel <pixel@mandriva.com> 3.1-1mdv2009.0
+ Revision: 217185
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 3.1-1mdv2008.1
+ Revision: 140731
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 04 2006 Anssi Hannula <anssi@mandriva.org> 3.1-1mdv2007.0
+ Revision: 76648
- Import ftplib

